package cd.casic.ci.common.pipeline;

import cd.casic.ci.common.pipeline.pojo.PipelineModelAndSetting;
import cd.casic.ci.common.pipeline.pojo.transfer.PreviewResponse;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline
 * @Project：ops-pro
 * @name：PipelineVersionWithModel
 * @Date：2025/03/25 17:40
 * @Filename：PipelineVersionWithModel
 * @description：Todo
 */
@Data
@Schema(title = "流水线版本与模型")
public class PipelineVersionWithModel {

    @Schema(title = "版本号（流水线唯一递增）", required = true)
    private int version;

    @Schema(title = "版本名称", required = true)
    private String versionName;

    @Schema(title = "该版本的源版本号", required = true)
    private Integer baseVersion;

    @Schema(title = "该版本的版本号名", required = true)
    private String baseVersionName;

    @Schema(title = "流水线模型", required = true)
    private PipelineModelAndSetting modelAndSetting;

    @Schema(title = "流水线YAML编排（含高亮）", required = false)
    private PreviewResponse yamlPreview;

    @Schema(title = "是否处在可以调试状态", required = false)
    private Boolean canDebug;

    @Schema(title = "版本变更说明", required = false)
    private String description;

    @Schema(title = "是否支持YAML解析", required = true)
    private boolean yamlSupported;

    @Schema(title = "YAML解析异常信息")
    private String yamlInvalidMsg;

    @Schema(title = "更新操作人", required = true)
    private String updater;

    @Schema(title = "版本修改时间", required = true)
    private Long updateTime;
}
