package cd.casic.ci.common.pipeline.pojo.element;

import cd.casic.ci.common.pipeline.pojo.element.atom.SubPipelineType;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.element
 * @Project：ops-pro
 * @name：SubPipelineCallElement
 * @Date：2025/03/26 16:28
 * @Filename：SubPipelineCallElement
 * @description：Todo
 */
@Schema(title = "子流水线调用", description = SubPipelineCallElement.classType)
public class SubPipelineCallElement extends Element {
    public static final String classType = "subPipelineCall";
    public static final String TASK_ATOM = "subPipelineCallAtom";

    @Schema(title = "任务名称", required = true)
    private String name = "自流水线调用";
    @Schema(title = "id", required = false)
    private String id;
    @Schema(title = "状态", required = false)
    private String status;
    @Schema(title = "子流水线ID", required = true)
    private String subPipelineId = "";
    @Schema(title = "是否异步", required = true)
    private boolean asynchronous;
    @Schema(title = "新版的子流水线原子的类型")
    private SubPipelineType subPipelineType = SubPipelineType.ID;
    @Schema(title = "新版的子流水线名")
    private String subPipelineName;
    @Schema(title = "启动参数", required = false)
    private Map<String, String> parameters;

    @Override
    public String getTaskAtom() {
        return TASK_ATOM;
    }

    @Override
    public String getClassType() {
        return classType;
    }
}
