package cd.casic.ci.common.pipeline.pojo.transfer;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.transfer
 * @Project：ops-pro
 * @name：Resources
 * @Date：2025/03/26 11:02
 * @Filename：Resources
 * @description：Todo
 */
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
@Schema(title = "Resources")
public class Resources {
    private List<Repositories> repositories;
    private List<ResourcesPools> pools;

    @Data
    public static class Repositories {
        private String repository;
        private String name;
        private String ref;
        private ResCredentials credentials;
    }

    @Data
    public static class ResCredentials {
        @Schema(title = "personal-access-token")
        @JsonProperty("personal-access-token")
        private String personalAccessToken;
    }

    @Data
    public static class ResourcesPools {
        private String from;
        private String name;

        @Override
        public String toString() {
            return from + "+" + name;
        }
    }
}
