package cd.casic.pipeline.dispatch.api;

import cd.casic.framework.commons.pojo.CommonResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.responses.ApiResponse;
import io.swagger.v3.oas.annotations.responses.ApiResponses;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "BUILD_WORKER", description = "构建-构建执行器资源")
@RestController
@RequestMapping("/build/workers")
public interface BuildWorkerResource {

    @Operation(summary = "下载构建执行器")
    @GetMapping("/")
    @ApiResponses({@ApiResponse(responseCode = "304", description = "本地的构建执行器已是最新，无需下载")})
    CommonResult download(
            @Parameter(description = "本地eTag标签", required = false)
            @RequestParam("eTag") String eTag
    );
}