package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
@Schema(title = "VM虚拟机配额")
public class ProjectInfo {
    @Schema(title = "允许使用BCS虚拟机功能", required = true)
    private final Boolean bcsVmEnabled;
    
    @Schema(title = "BCS虚拟机配额", required = true)
    private final Integer bcsVmQuota;
    
    @Schema(title = "BCS虚拟机已用数量", required = true)
    private final Integer bcsVmUsedCount;
    
    @Schema(title = "BCS虚拟机可用数量", required = true)
    private final Integer bcsVmRestCount;
    
    @Schema(title = "导入服务器配额", required = true)
    private final Integer importQuota;
    
    @Schema(title = "允许使用DevCloud虚拟机功能", required = true)
    private final Boolean devCloudVmEnabled;
    
    @Schema(title = "DevCloud虚拟机配额", required = true)
    private final Integer devCloudVmQuota;
    
    @Schema(title = "DevCloud虚拟机已用数量", required = true)
    private final Integer devCloudVmUsedCount;

} 