package cd.casic.ci.event.pojo;

import cd.casic.framework.mq.redis.core.stream.AbstractRedisStreamMessage;
import com.mysql.cj.MessageBuilder;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.event.pojo
 * @Project：ops-pro
 * @name：IEvent
 * @Date：2025/03/25 9:46
 * @Filename：IEvent
 * @description：Todo
 */
@Data
@Slf4j
@NoArgsConstructor
@AllArgsConstructor
public class IEvent extends AbstractRedisStreamMessage {

    private int delayMills = 0;
    private int retryTime = 1;

    public void sendTo(Object bridge, String destination) {
        try {
            log.info(bridge.toString() + destination);
        } catch (Exception ignored) {
            log.error("[STREAM MQ] Fail to dispatch the event(" + this + ")", ignored);
        }
    }
}
