package cd.casic.ci.process.api.process.pojo.pipeline;

import cd.casic.ci.common.pipeline.Model;
import cd.casic.ci.process.api.process.pojo.PipelineBuildMaterial;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @author by mianbin
 * @Classname AppModelDetail
 * @Description TODO
 * @Date 2025/3/31 17:09
 */
@Data
@Schema(title = "APP-构建详情-构建信息")
public class AppModelDetail {
    @Schema(title = "ID", required = true)
    private String buildId;

    @Schema(title = "启动用户", required = true)
    private String userId;

    @Schema(title = "触发条件", required = true)
    private String trigger;

    @Schema(title = "Start time", required = true)
    private Long startTime;

    @Schema(title = "End time", required = false)
    private Long endTime;

    @Schema(title = "Build status", required = true)
    private String status;

    @Schema(title = "服务器当前时间戳", required = true)
    private Long currentTimestamp;

    @Schema(title = "构建号", required = true)
    private Integer buildNum;

    @Schema(title = "取消构建的用户", required = false)
    private String cancelUserId;

    @Schema(title = "归档文件个数", required = false)
    private Integer fileCount;

    @Schema(title = "包的版本(多个分号分隔)", required = false)
    private String packageVersion;

    @Schema(title = "流水线Id", required = false)
    private String pipelineId;

    @Schema(title = "流水线版本", required = false)
    private Integer pipelineVersion;

    @Schema(title = "流水线名字", required = false)
    private String pipelineName;

    @Schema(title = "项目Id", required = false)
    private String projectId;

    @Schema(title = "是否收藏", required = false)
    private Boolean hasCollect;

    @Schema(title = "编排文件", required = true)
    private Model model;

    @Schema(title = "原材料", required = false)
    private List<PipelineBuildMaterial> material;

    @Schema(title = "备注", required = false)
    private String remark;

    @Schema(title = "运行耗时(毫秒，不包括人工审核时间)", required = false)
    private Long executeTime;

    @Schema(title = "构建信息", required = false)
    private String buildMsg;
}
