package cd.casic.ci.process.api.process.pojo.task;

import cd.casic.ci.common.pipeline.enums.BuildStatus;
import cd.casic.ci.common.pipeline.pojo.element.ElementAdditionalOptions;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.lang.model.type.ErrorType;
import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.task
 * @Project：ops-pro
 * @name：PipelineBuildTaskInfo
 * @Date：2025/03/24 20:40
 * @Filename：PipelineBuildTaskInfo
 * @description：Todo
 */
@Data
@Schema(title = "流水线构建任务信息")
public class PipelineBuildTaskInfo {
    @Schema(title = "项目id", required = false)
    private String projectId;
    @Schema(title = "流水线id", required = false)
    private String pipelineId;
    @Schema(title = "模板id", required = false)
    private String templateId;
    @Schema(title = "构建id", required = false)
    private String buildId;
    @Schema(title = "阶段id", required = false)
    private String stageId;
    @Schema(title = "容器id", required = false)
    private String containerId;
    @Schema(title = "容器hash id", required = false)
    private String containerHashId;
    @Schema(title = "容器类型", required = false)
    private String containerType;
    @Schema(title = "任务序列", required = false)
    private int taskSeq;
    @Schema(title = "任务id", required = false)
    private String taskId;
    @Schema(title = "任务名称", required = false)
    private String taskName;
    @Schema(title = "任务类型", required = false)
    private String taskType;
    @Schema(title = "任务atom代码", required = false)
    private String taskAtom;
    @Schema(title = "状态", required = false)
    private BuildStatus status;
    @Schema(title = "任务参数集合", required = false)
    private Map<String, Object> taskParams;
    @Schema(title = "其他选项", required = false)
    private ElementAdditionalOptions additionalOptions;
    @Schema(title = "执行次数", required = false)
    private Integer executeCount = 1;
    @Schema(title = "启动者", required = false)
    private String starter;
    @Schema(title = "审批人", required = false)
    private String approver;
    @Schema(title = "子构建id", required = false)
    private String subBuildId;
    @Schema(title = "启动时间", required = false)
    private Long startTime;
    @Schema(title = "结束时间", required = false)
    private Long endTime;
    @Schema(title = "错误类型", required = false)
    private ErrorType errorType;
    @Schema(title = "错误代码", required = false)
    private Integer errorCode;
    @Schema(title = "错误信息", required = false)
    private String errorMsg;

    public String getTaskParam(String paramName) {
        return taskParams.getOrDefault(paramName, "").toString().trim();
    }
}
