package cd.casic.ci.process.engine.scheduler.controller;

import cd.casic.ci.process.engine.scheduler.dateObject.PipelineSchedulingProperties;
import cd.casic.ci.process.engine.scheduler.service.PipelineSchedulingPropertiesService;
import cd.casic.ci.process.process.dataObject.base.BaseIdReq;
import jakarta.annotation.Resource;
import jakarta.validation.Valid;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipelineSchedulingPropertiesController
 * @Date: 2025/5/26 16:56
 * @Description:
 */
@RestController
@RequestMapping("/scheduling")
public class PipelineSchedulingPropertiesController {
    @Resource
    private PipelineSchedulingPropertiesService pipelineSchedulingPropertiesService;

    @PostMapping("/getAll")
    public List<PipelineSchedulingProperties> getAll() {
        return pipelineSchedulingPropertiesService.getAllTasks();
    }

    @PostMapping("/create")
    public void create(@RequestBody @Valid PipelineSchedulingProperties task) {
        pipelineSchedulingPropertiesService.addTask(task);
    }

    @PostMapping("/update")
    public void update(@RequestBody @Valid PipelineSchedulingProperties task) {
        pipelineSchedulingPropertiesService.updateTask(task);
    }

    @PostMapping("/delete")
    public void delete(@RequestBody @Valid BaseIdReq req) {
        pipelineSchedulingPropertiesService.deleteTask(req.getId());
    }

    @PostMapping("/start")
    public void start(@RequestBody @Valid BaseIdReq req) {
        pipelineSchedulingPropertiesService.startTask(req.getId());
    }

    @PostMapping("/stop")
    public void stop(@RequestBody @Valid BaseIdReq req) {
        pipelineSchedulingPropertiesService.stopTask(req.getId());
    }
}
