package cd.casic.ci.process.process.dataObject.target;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TargetManager
 * @Date: 2025/5/17 10:23
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("target_manager")
public class TargetManager extends PipBaseElement {

    /**
     * 用户id
     */
    @TableField("user_id")
    private String userId;

    /**
     * 目标名称
     */
    @TableField("target_name")
    private String targetName;

    /**
     * 目标类型
     */
    @TableField("target_type")
    private String targetType;

    /**
     * 描述
     */
    @TableField("target_desc")
    private String targetDesc;

    /**
     * 文件唯一标识
     */
    private String identifier;

    /**
     * 文件大小（byte）
     */
    @TableField("total_size")
    private Double totalSize;

    /**
     * 文件名字
     */
    @TableField("file_name")
    private String fileName;

    /**
     * 文件密级
     */
    @TableField("file_secrets")
    private String fileSecrets;

    /**
     * 文件类型
     */
    @TableField("file_type")
    private String fileType;

    /**
     * 密级
     */
    private String secretId;

    /**
     * 组织id
     */
    @TableField("project_id")
    private String projectId;

    /**
     * 图标
     */
    @TableField("file_icon")
    private String fileIcon;
}
