package cd.casic.ci.project.dal.dto;


import java.util.Date;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TProjectRecord {
    @Schema(description="主键ID")
    private Long id;
    @Schema(description="创建时间")
    private Date createdAt;
    @Schema(description="更新时间")
    private Date updatedAt;
    @Schema(description="删除时间")
    private Date deletedAt;
    @Schema(description="额外信息")
    private String extra;
    @Schema(description="创建者")
    private String creator;
    @Schema(description="描述")
    private String description;
    @Schema(description="容器类型")
    private Integer kind;
    @Schema(description="应用ID")
    private Long ccAppId;
    @Schema(description="应用名称")
    private String ccAppName;
    @Schema(description="是否停用")
    private Boolean isOfflined;
    @Schema(description="项目ID")
    private String projectId;
    @Schema(description="项目名称")
    private String projectName;
    @Schema(description="英文名称")
    private String englishName;
    @Schema(description="更新人")
    private String updator;
    @Schema(description="项目类型")
    private Integer projectType;
    @Schema(description="是否用蓝鲸")
    private Boolean useBk;
    @Schema(description="部署类型")
    private String deployType;
    @Schema(description="事业群ID")
    private Long bgId;
    @Schema(description="事业群名称")
    private String bgName;
    @Schema(description="业务线ID")
    private Long businessLineId;
    @Schema(description="业务线名称")
    private String businessLineName;
    @Schema(description="项目所属二级机构ID")
    private Long deptId;
    @Schema(description="项目所属二级机构名称")
    private String deptName;
    @Schema(description="中心ID")
    private Long centerId;
    @Schema(description="中心名字")
    private String centerName;
    @Schema(description="数据ID")
    private Long dataId;
    @Schema(description="是否保密")
    private Boolean isSecrecy;
    @Schema(description="是否启用图表激活")
    private Boolean isHelmChartEnabled;
    @Schema(description="审核状态")
    private Integer approvalStatus;
    @Schema(description="logo地址")
    private String logoAddr;
    @Schema(description="批准人")
    private String approver;
    @Schema(description="评论")
    private String remark;
    @Schema(description="批准时间")
    private Date approvalTime;
    @Schema(description="创建者事业群名称")
    private String creatorBgName;
    @Schema(description="创建者项目所属二级机构名称")
    private String creatorDeptName;
    @Schema(description="创建者中心名字")
    private String creatorCenterName;
    @Schema(description="应用ID")
    private Long hybridCcAppId;
    @Schema(description="是否支持构建机访问外网")
    private Boolean enableExternal;
    @Schema(description="是否支持IDC构建机")
    private Boolean enableIdc;
    @Schema(description="是否启用")
    private Boolean enabled;
    @Schema(description="项目渠道")
    private String channel;
    @Schema(description="流水线数量上限")
    private Integer pipelineLimit;
    @Schema(description="网关路由tags")
    private String routerTag;
    @Schema(description="扩展系统关联ID")
    private String relationId;
    @Schema(description="其他系统网关路由tags")
    private String otherRouterTags;
    @Schema(description="项目其他配置")
    private String properties;
    @Schema(description="最大可授权人员范围")
    private String subjectScopes;
    @Schema(description="项目性质,0-公开，1-保密,2-机密")
    private Integer authSecrecy;
    @Schema(description="运营产品ID")
    private Integer productId;
}
