package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

@Data
@Schema(title = "获取并解析插件配置task.json的返回数据")
public class GetAtomConfigResult {
    @Schema(title = "状态码", required = true)
    private String errorCode;
    @Schema(title = "错误参数", required = false)
    private String[] errorParams;
    @Schema(title = "插件json文件配置数据", required = false)
    private Map<String, Object> taskDataMap;
    @Schema(title = "环境信息", required = false)
    private List<AtomEnvRequest> atomEnvRequests;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        GetAtomConfigResult that = (GetAtomConfigResult) o;

        if (!errorCode.equals(that.errorCode)) return false;
        if (!Arrays.equals(errorParams, that.errorParams)) return false;
        if (taskDataMap != null ? !taskDataMap.equals(that.taskDataMap) : that.taskDataMap != null) return false;
        return atomEnvRequests != null ? atomEnvRequests.equals(that.atomEnvRequests) : that.atomEnvRequests == null;
    }

    @Override
    public int hashCode() {
        int result = errorCode.hashCode();
        result = 31 * result + Arrays.hashCode(errorParams);
        result = 31 * result + (taskDataMap != null ? taskDataMap.hashCode() : 0);
        result = 31 * result + (atomEnvRequests != null ? atomEnvRequests.hashCode() : 0);
        return result;
    }
}