package cd.casic.pipeline.store.pojo.atom;

import cd.casic.ci.common.pipeline.enums.FrontendTypeEnum;
import cd.casic.pipeline.store.pojo.atom.enums.AtomCategoryEnum;
import cd.casic.pipeline.store.pojo.atom.enums.JobTypeEnum;
import cd.casic.pipeline.store.pojo.common.enums.ReleaseTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.ArrayList;

@Data
@Schema(title = "插件市场工作台-升级插件请求报文体")
public class MarketAtomUpdateRequest {
    @Schema(title = "插件代码", required = true)
    private String atomCode;

    @Schema(title = "插件名称", required = true)
    private String name;

    @Schema(title = "插件所属范畴，TRIGGER：触发器类插件 TASK：任务类插件", required = true)
    private AtomCategoryEnum category;

    @Schema(title = "所属插件分类代码", required = true)
    private String classifyCode;

    @Schema(title = "适用Job类型，AGENT： 编译环境，AGENT_LESS：无编译环境", required = true)
    private JobTypeEnum jobType = JobTypeEnum.AGENT;

    @Schema(title = "支持的操作系统", required = true)
    private ArrayList<String> os = new ArrayList<>();

    @Schema(title = "插件简介", required = false)
    private String summary;

    @Schema(title = "插件描述", required = false)
    private String description;

    @Schema(title = "logo地址", required = false)
    private String logoUrl;

    @Schema(title = "版本号", required = true)
    private String version;

    @Schema(title =
            "发布类型，NEW：新上架 INCOMPATIBILITY_UPGRADE：非兼容性升级 COMPATIBILITY_UPGRADE：兼容性功能更新 COMPATIBILITY_FIX：兼容性问题修正",
            required = true
    )
    private ReleaseTypeEnum releaseType;

    @Schema(title = "版本日志内容", required = true)
    private String versionContent = "";

    @Schema(title = "发布者", required = true)
    private String publisher = "";

    @Schema(title = "插件标签列表", required = false)
    private ArrayList<String> labelIdList;

    @Schema(title = "前端UI渲染方式", required = true)
    private FrontendTypeEnum frontendType = FrontendTypeEnum.NORMAL;

    @Schema(title = "插件字段校验确认标识", required = false)
    private Boolean fieldCheckConfirmFlag = false;

    @Schema(title = "分支", required = false)
    private String branch;

    @Schema(title = "是否属于分支测试版本", required = false)
    private boolean isBranchTestVersion = false;
}
