package cd.casic.pipeline.store.pojo.common.statistic;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Map;

@Data
@Schema(title = "每日统计信息请求报文")
public class StoreDailyStatisticRequest {
    @Schema(title = "总下载量")
    private Integer totalDownloads;
    
    @Schema(title = "每日下载量")
    private Integer dailyDownloads;
    
    @Schema(title = "每日执行成功数")
    private Integer dailySuccessNum;
    
    @Schema(title = "每日执行失败数")
    private Integer dailyFailNum;
    
    @Schema(title = "每日执行失败详情")
    private Map<String, Object> dailyFailDetail;
    
    @Schema(title = "每日活跃时长，单位：小时")
    private Double dailyActiveDuration;
    
    @Schema(title = "统计时间")
    private LocalDateTime statisticsTime;
}