package cd.casic.pipeline.store.pojo.image.enums;

import lombok.Getter;

@Getter
public enum ImageRDTypeEnum {
    SELF_DEVELOPED(0), // 自研
    THIRD_PARTY(1); // 第三方

    private final int type;

    ImageRDTypeEnum(int type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return String.valueOf(type);
    }

    public static ImageRDTypeEnum getImageRDTypeByName(String name) {
        for (ImageRDTypeEnum value : values()) {
            if (value.name().equalsIgnoreCase(name)) {
                return value;
            }
        }
        return THIRD_PARTY;
    }

    public static ImageRDTypeEnum getImageRDType(int type) {
        switch (type) {
            case 0: return SELF_DEVELOPED;
            case 1: return THIRD_PARTY;
            default: return THIRD_PARTY;
        }
    }

    public static String getImageRDTypeStr(Integer type) {
        if (type == null) return THIRD_PARTY.name();
        switch (type) {
            case 0: return SELF_DEVELOPED.name();
            case 1: return THIRD_PARTY.name();
            default: return THIRD_PARTY.name();
        }
    }
}